/*
 * Author: wangjian
 * 生成Service
 */
package com.tofly.base.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.tofly.base.entity.Menu;
import com.tofly.base.entity.Role;
import com.tofly.base.entity.User;

import java.util.List;
import java.util.Map;

/**
 * 角色信息表
 *
 * @author admin
 * @date Thu Oct 10 00:00:00 CST 2019
 */
public interface RoleService extends IService<Role> {

    List<Role> listRolesByUserId(Long userId);

    public List<Menu> getMenuListByRole(Long roleId);

    public List<User> getExistUserListByRole(Long roleId);

    public List<User> getNoExistUserListByRole(Long roleId);

    public String deleteRolesByIds(String ids);

    public List<Map> listMenuByRoleId(Long roleId);

    Boolean selectByRoleName(Long roleId, String name);
}
